
<?php
 $string = file_get_contents('results1.json');
 $json = json_decode($string, true); //response,true jei reiktu ne objekto, o masyvo
 $geometry = json_encode($json['routes'][0]['geometry']); //$json['routes'][0]['geometry'] $json['features'][0]["encodedpolyline"] $json['features'][0]["geometry"]
 $point1 = json_encode($json['waypoints'][0]['location']);
 $point2 = json_encode($json['waypoints'][1]['location']);

$db_handle = pg_connect("host=192.168.42.137 port=5432 dbname=daltra user=daltra password=daltra4daltra");

$query = "SELECT cbrand, cmodel, crelease, cvariant FROM open_ev_data";

$result = pg_exec($db_handle, $query);

if ($result) {
        $arr = pg_fetch_array($result, 0, PGSQL_NUM);
}
pg_close($db_handle);
?>

<!DOCTYPE html>
<html lang="en">
<head>
<title>OSRM</title>

<link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.4.3/css/ol.css" type="text/css">
<script src="https://cdn.jsdelivr.net/gh/openlayers/openlayers.github.io@master/en/v6.4.3/build/ol.js"></script>
<script src="https://cdn.polyfill.io/v2/polyfill.min.js?features=requestAnimationFrame,Element.prototype.classList"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<link rel="stylesheet" href="styles.css">

<script>
var p1 =<?php echo $point1; ?>; var p2 =<?php echo $point2; ?>; var georoute =<?php echo $geometry; ?>;
</script>

</head>
<body>

<div>
  <form method="POST"  action="getData.php"> <!--action="getData.php"-->
    <table > <!--border="1"-->
      <tr>
        <td><label for="PointA">Point A</label></td>
        <td><input type="text" id="PointA" name="PointA" size="23"></td>
      </tr>
    <tr>
      <td><label for="PointB">Point B</label></td>
      <td><input type="text" id="PointB" name="PointB"  size="23"></td>
    </tr>
    <tr>
      <td><label for="datetimefrom">Date and Time From</label></td>
      <td><input type="datetime-local" id="datetimefrom" name="datetimefrom" size="23"></td>
    </tr>
    <tr>
      <td><label for="datetimeto">Date and Time to</label></td>
      <td><input type="datetime-local" id="datetimeto" name="datetimeto" size="23"></td>
    </tr>
    <tr>
      <td><label for="BatteryCapacity">Battery Capacity</label></td>
      <td><input type="range" min="1" max="500" value="1" class="BatteryCapacity" id="BatteryCapacity"></td>
      <td><p>Value: <span id="BC"></span></p></td>
    </tr>
    <tr>
      <td><label for="InitialCharge">Current State of Charge</label></td>
      <td><input type="range" min="1" max="500" value="1" class="CurrentStateOfCharge" id="CurrentStateOfCharge"></td>
      <td><p>Value: <span id="CSOC"></span></p></td>
    </tr>
    <tr>
      <td><label for="cars">Car type</label>
        <select name="cars" id="cars">
		<?php
		  while($row = pg_fetch_array($result)){
         		echo "<option value='$row[cbrand]'> $row[cbrand],  $row[cmodel], $row[crelease], $row[cvariant] </option>";
        	  }
		?>
        </select></td>
      <td><input type="submit" value="Submit" name="submit" ></td>
    </tr>
  </table>   

  </form>
</div>
<br />

<div id="map"></div>

<div id="popup-container" class="ol-popup">
  <span id="popupinfo"></span>
  <a href="#" id="popup-closer" class="ol-popup-closer"></a>
</div>

<script src="script.js"></script>
</body>

</html>
